# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/spmi/qcom,spmi-pmic-arb-common.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Technologies, Inc. SPMI Controller (common)

maintainers:
  - David Collins <david.collins@oss.qualcomm.com>

description: |
  This defines some common properties used to define Qualcomm SPMI controllers
  for PMIC arbiter.

properties:
  qcom,ee:
    $ref: /schemas/types.yaml#/definitions/uint32
    minimum: 0
    maximum: 5
    description:
      indicates the active Execution Environment identifier

  qcom,channel:
    $ref: /schemas/types.yaml#/definitions/uint32
    minimum: 0
    maximum: 5
    description:
      which of the PMIC Arb provided channels to use for accesses

required:
  - qcom,ee
  - qcom,channel

additionalProperties: true
